BCECGOST3410PrivateKey (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.jcajce.provider.asymmetric.ecgost

## Class BCECGOST3410PrivateKey

- java.lang.Object
- - org.bouncycastle.jcajce.provider.asymmetric.ecgost.BCECGOST3410PrivateKey

- All Implemented Interfaces:
    java.io.Serializable, java.security.Key, java.security.PrivateKey, ECKey, ECPointEncoder, ECPrivateKey, PKCS12BagAttributeCarrier

      public class BCECGOST3410PrivateKey
      extends java.lang.Object
      implements java.security.interfaces.ECPrivateKey, ECPrivateKey, PKCS12BagAttributeCarrier, ECPointEncoder

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BCECGOST3410PrivateKey()`
    `` | `BCECGOST3410PrivateKey(BCECGOST3410PrivateKey key)`
    `` | `BCECGOST3410PrivateKey(java.security.interfaces.ECPrivateKey key)`
    `` | `BCECGOST3410PrivateKey(ECPrivateKeySpec spec)`
    `` | `BCECGOST3410PrivateKey(java.security.spec.ECPrivateKeySpec spec)`
    `` | `BCECGOST3410PrivateKey(java.lang.String algorithm, ECPrivateKeyParameters params)`
    `` | `BCECGOST3410PrivateKey(java.lang.String algorithm, ECPrivateKeyParameters params, BCECGOST3410PublicKey pubKey, java.security.spec.ECParameterSpec spec)`
    `` | `BCECGOST3410PrivateKey(java.lang.String algorithm, ECPrivateKeyParameters params, BCECGOST3410PublicKey pubKey, ECParameterSpec spec)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getAlgorithm()`
    `ASN1Encodable` | `getBagAttribute(ASN1ObjectIdentifier oid)`
    `java.util.Enumeration` | `getBagAttributeKeys()`
    `java.math.BigInteger` | `getD()` return the private value D.
    `byte[]` | `getEncoded()` Return a PKCS8 representation of the key.
    `java.lang.String` | `getFormat()` return the encoding format we produce in getEncoded().
    `ECParameterSpec` | `getParameters()` return a parameter specification representing the EC domain parameters for the key.
    `java.security.spec.ECParameterSpec` | `getParams()`
    `java.math.BigInteger` | `getS()`
    `int` | `hashCode()`
    `void` | `setBagAttribute(ASN1ObjectIdentifier oid, ASN1Encodable attribute)`
    `void` | `setPointFormat(java.lang.String style)` Set the formatting for encoding of points.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BCECGOST3410PrivateKey

          protected BCECGOST3410PrivateKey()

    - #### BCECGOST3410PrivateKey

          public BCECGOST3410PrivateKey(java.security.interfaces.ECPrivateKey key)

    - #### BCECGOST3410PrivateKey

          public BCECGOST3410PrivateKey(ECPrivateKeySpec spec)

    - #### BCECGOST3410PrivateKey

          public BCECGOST3410PrivateKey(java.security.spec.ECPrivateKeySpec spec)

    - #### BCECGOST3410PrivateKey

          public BCECGOST3410PrivateKey(BCECGOST3410PrivateKey key)

    - #### BCECGOST3410PrivateKey

          public BCECGOST3410PrivateKey(java.lang.String algorithm,
                                ECPrivateKeyParameters params,
                                BCECGOST3410PublicKey pubKey,
                                java.security.spec.ECParameterSpec spec)

    - #### BCECGOST3410PrivateKey

          public BCECGOST3410PrivateKey(java.lang.String algorithm,
                                ECPrivateKeyParameters params,
                                BCECGOST3410PublicKey pubKey,
                                ECParameterSpec spec)

    - #### BCECGOST3410PrivateKey

          public BCECGOST3410PrivateKey(java.lang.String algorithm,
                                ECPrivateKeyParameters params)

  - ### Method Detail

    - #### getAlgorithm

          public java.lang.String getAlgorithm()

      Specified by:
        `getAlgorithm` in interface `java.security.Key`

    - #### getFormat

          public java.lang.String getFormat()

      return the encoding format we produce in getEncoded().
      Specified by:
        `getFormat` in interface `java.security.Key`
      Returns:
        the string "PKCS#8"

    - #### getEncoded

          public byte[] getEncoded()

      Return a PKCS8 representation of the key. The sequence returned represents a full PrivateKeyInfo object.
      Specified by:
        `getEncoded` in interface `java.security.Key`
      Returns:
        a PKCS8 representation of the key.

    - #### getParams

          public java.security.spec.ECParameterSpec getParams()

    - #### getParameters

          public ECParameterSpec getParameters()

      Description copied from interface: `ECKey`
      return a parameter specification representing the EC domain parameters for the key.
      Specified by:
        `getParameters` in interface `ECKey`

    - #### getS

          public java.math.BigInteger getS()

    - #### getD

          public java.math.BigInteger getD()

      Description copied from interface: `ECPrivateKey`
      return the private value D.
      Specified by:
        `getD` in interface `ECPrivateKey`

    - #### setBagAttribute

          public void setBagAttribute(ASN1ObjectIdentifier oid,
                             ASN1Encodable attribute)

      Specified by:
        `setBagAttribute` in interface `PKCS12BagAttributeCarrier`

    - #### getBagAttribute

          public ASN1Encodable getBagAttribute(ASN1ObjectIdentifier oid)

      Specified by:
        `getBagAttribute` in interface `PKCS12BagAttributeCarrier`

    - #### getBagAttributeKeys

          public java.util.Enumeration getBagAttributeKeys()

      Specified by:
        `getBagAttributeKeys` in interface `PKCS12BagAttributeCarrier`

    - #### setPointFormat

          public void setPointFormat(java.lang.String style)

      Description copied from interface: `ECPointEncoder`
      Set the formatting for encoding of points. If the String "UNCOMPRESSED" is passed in point compression will not be used. If the String "COMPRESSED" is passed point compression will be used. The default is "UNCOMPRESSED".
      Specified by:
        `setPointFormat` in interface `ECPointEncoder`
      Parameters:
        `style` - the style to use.

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`